import { deepCopy } from "@/plugins/utils";

const state = {
  markParamInfos: {
    basicPaperInfo: {},
    groupInfo: [],
    paperStructureInfo: [],
    structureCanEdit: false,
  },
  objectiveStructure: [],
};

const mutations = {
  setMarkParamInfos(state, data) {
    state.markParamInfos = Object.assign(
      {},
      state.markParamInfos,
      deepCopy(data)
    );
  },
  setObjectiveStructure(state, objectiveStructure) {
    state.objectiveStructure = objectiveStructure;
  },
  initStore(state) {
    state.markParamInfos = {
      basicPaperInfo: {},
      groupInfo: [],
      paperStructureInfo: [],
      structureCanEdit: false,
    };
    state.objectiveStructure = [];
  },
};

export default {
  namespaced: true,
  state,
  mutations,
};
